Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] gcc issue
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
alex6
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jul 2011
Posts: 139

PostPosted: Thu Mar 14, 2013 9:05 pm    Post subject: [SOLVED] gcc issue Reply with quote

This is the error message I get after compiling new gcc :

Quote:

>>> Messages generated by process 29613 on 2013-03-13 05:19:52 CET for package sys-devel/gcc-4.6.3:

WARN: setup

LTO support is still experimental and unstable.
Any bugs resulting from the use of LTO will not be fixed.

WARN: postinst
If you have issues with packages unable to locate libstdc++.la,
then try running 'fix_libtool_files.sh' on the old gcc versions.
You might want to review the GCC upgrade guide when moving between
major versions (like 4.2 to 4.3):
http://www.gentoo.org/doc/en/gcc-upgrading.xml
QA: other
QA Notice: Package triggers severe warnings which indicate that it
may exhibit random runtime failures.
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:575:25: warning: array subscript is below array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:575:25: warning: array subscript is below array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:575:25: warning: array subscript is below array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:575:25: warning: array subscript is below array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:575:25: warning: array subscript is below array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:575:25: warning: array subscript is below array bounds [-Warray-bounds]
QA Notice: Package triggers severe warnings which indicate that it
may exhibit random runtime failures.
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:134:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:141:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:145:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:149:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:153:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:157:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:164:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:180:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:184:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:188:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:231:8: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:246:8: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:247:8: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:134:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:141:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:145:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:149:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:153:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:157:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:164:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:180:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:184:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:188:3: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:231:8: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:246:8: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/gcc/expmed.c:247:8: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
/var/tmp/portage/sys-devel/gcc-4.6.3/work/gcc-4.6.3/libgcc/../gcc/crtstuff.c:381:19: warning: array subscript is above array bounds [-Warray-bounds]
Please do not file a Gentoo bug and instead report the above QA
issues directly to the upstream developers of this software.
Homepage: http://gcc.gnu.org/



Is there risks by using that version of gcc to compile new programms ? Should I switched back to my older gcc and recompile all programs compiled with that new gcc ?


Last edited by alex6 on Thu Mar 14, 2013 9:52 pm; edited 1 time in total
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1122

PostPosted: Thu Mar 14, 2013 9:40 pm    Post subject: Reply with quote

Just warnings: bad programed software!
That is a new feature of gcc to show developers their weak points in more detail!
_________________
fun2gen2
Back to top
View user's profile Send private message
alex6
Tux's lil' helper
Tux's lil' helper


Joined: 18 Jul 2011
Posts: 139

PostPosted: Thu Mar 14, 2013 9:52 pm    Post subject: Reply with quote

Ok, thanks, I had this kind of messages on like 15 or 20 compilations, so now I'm not worried anymore :)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum